/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
/*
Author: Christian Hubinger <chubinger@irrsinnig.org>, (C) 2001
*/

#ifndef __KMFIPTINSTALLER_INTERFACE_H
#define __KMFIPTINSTALLER_INTERFACE_H

#include <kdemacros.h>

class QString;
class KURL;

namespace KMF {
class KMFDoc;
class KMFIPTDoc;
class KMFTarget;


class KDE_EXPORT KMFIPTInstallerInterface {
public:
	KMFIPTInstallerInterface();
	virtual ~KMFIPTInstallerInterface();
	virtual void loadScript( const QString& ) = 0;
	virtual void cmdRunFW() = 0;
	virtual void cmdStopFW() = 0;
	virtual void cmdShowRunningConfig( const QString& ) = 0;
	virtual void cmdShowScript() = 0;
	virtual void cmdInstallFW() = 0;
	virtual void cmdUninstallFW() = 0;
	virtual void generateInstallerPackage( KMFTarget *, const KURL& ) = 0;
};
}

#endif // __KMFIPTINSTALLER_INTERFACE_H
